<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."smiley_infusion/locale/".$settings['locale'].".php")) {
    // Load the locale file matching the current site locale setting.
    include INFUSIONS."smiley_infusion/locale/".$settings['locale'].".php";
} else {
    // Load the infusion's default locale file.
    include INFUSIONS."smiley_infusion/locale/English.php";
}

// Infusion general information
$inf_title = $locale['SMIL100'];
$inf_description = $locale['SMIL101'];
$inf_version = "3.07";
$inf_developer = "colgate, original infusion by Dj_baby";
$inf_email = "colgate@amforaen.dk";
$inf_weburl = "";

$inf_folder = "smiley_infusion"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "smiley_admin.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_altertables = 2; // Number of db tables to alter (upgrade).
//$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "smiley (
                `color` varchar(10) NOT NULL,
                `smiley` varchar(60) NOT NULL,
                `smileycode` varchar(30) NOT NULL,
                `smiley_cat_name` varchar(25) NOT NULL,
                PRIMARY KEY (smileycode)
                ) TYPE=MyISAM;";

$inf_newtable_[2] = "smiley_cats (
                `cat_name` varchar(25) NOT NULL,
                `cat_title` varchar(255) NOT NULL,
                `cat_order` SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
                PRIMARY KEY (cat_name)
                ) TYPE=MyISAM;";

$inf_droptable_[1] = "smiley";
$inf_droptable_[2] = "smiley_cats";

$inf_altertable_[1] = "smiley CHANGE coller color VARCHAR( 10 ) NOT NULL ";
$inf_altertable_[2] = "smiley ADD smiley_cat_name VARCHAR( 25 ) NOT NULL ";

$inf_deldbrow_[1] = "";

?>