<?
/*--------------------------------------------++---------------------------------------------+
| PHP-Fusion 6 - Content Management System    || Extended Profile (this file is based on     |
|                                             || extended_profile_admin.php by Scor3p.       |
|---------------------------------------------||---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 || author: Ronald Iwema (Scor3p)  2002-2005   |
| web: http://www.php-fusion.co.uk            || web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                || email: sxqsxqsxq@hotmail.com                |
|---------------------------------------------||---------------------------------------------|
| Released under the terms and conditions of  || Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  || the GNU General Public License (Version 2)  |
+---------------------------------------------++---------------------------------------------+
+---------------------------------------------++---------------------------------------------+
| Smiley infusion v0-2.0 for PHP-fusion 5.00  || Smiley infusion v3.1 for PHP-fusion 6.00    |
|---------------------------------------------||---------------------------------------------|
| author: Dj_baby  2004-2005                 || author: Daniel Rindorf (colgate)  2005     |
| web: http://www.php-fusion.co.uk            || web: http://www.amforaen.dk                 |
| email: babytje_ab@hotmail.com               || email: colgate@amforaen.dk                  |
|---------------------------------------------||---------------------------------------------|
| Released under the terms and conditions of  || Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  || the GNU General Public License (Version 2)  |
+---------------------------------------------++--------------------------------------------*/



require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/main.php";


@include INFUSIONS."smiley_infusion/locale/".$settings['language'].".php";
@include INFUSIONS."smiley_infusion/locale/English.php";

if (!checkrights("IP")) { header("Location:../index.php"); exit; }

// process
$error = "";

if (get(move)){
    $name = $_GET['name'];
    $from = $_GET['from'];
    if (!is_numeric($from)) header("Location:".$_SERVER['FUSION_SELF']); // SQL Injection
    if ($_GET['move'] == "down") $to = $from+1;
    elseif ($_GET['move'] == "up") $to = $from-1;
    else header("Location:".$_SERVER['FUSION_SELF']);
    switchCats($name, $from, $to);
}

if (post('save_new_cat'))
{
    $new_cat_name = strtolower(trim($_POST['cat_name']));
    $new_cat_title = trim($_POST['cat_title']);
    $new_cat_order = toNumber($_POST['cat_order']);

    if (empty($new_cat_name)) $error .= $locale['SMIL201'] . "<br />";
    if (empty($new_cat_title)) $error .= $locale['SMIL202'] . "<br />";
    if (cat_name_exists($new_cat_name)) $error .= $locale['SMIL203'] . "<br />";
    if (!is_name_valid($new_cat_name)) $error .= $locale['SMIL204'] . "<br />";

    if (empty($error))
    {
        // add it
        addCat();
    }
}

if (post('save_edit_cat'))
{
     $q = "SELECT * FROM ".$db_prefix."smiley_cats WHERE cat_name = '".$_POST['cat_name']."'";
    $r = dbquery($q);
    if ($r && mysql_num_rows($r) == 1)
    {
        $new_cat_order = mysql_result($r, 0, 'cat_order');
    }
    $new_cat_name = strtolower(trim($_POST['cat_name']));
    $new_cat_title = trim($_POST['cat_title']);

    if (empty($new_cat_name)) $error .= $locale['SMIL201'] . "<br />";
    if (empty($new_cat_title)) $error .= $locale['SMIL202'] . "<br />";
    if (!is_name_valid($new_cat_name)) $error .= $locale['SMIL204'] . "<br />"; // do this check anyway to prevent ppl from fucking with it..

    if (empty($error))
    {
        // edit it
        editCat();
    }
}

if (post('del_cat'))
{
    deleteSmiley($_POST['cat_name']);
    deleteCat($_POST['cat_name']);

}

// populate order select
$order_select = "<select name='cat_order' class='textbox'>\n";
$order_select.= "<option value='1'>-- ".$locale['SMIL116']." --</option>\n";

// Current Cats
openTable($locale['SMIL105']);
$q = "SELECT * FROM ".$db_prefix."smiley_cats ORDER BY cat_order ASC";
$r = dbQuery($q);
if ($r && mysql_num_rows($r) > 0)
{
    $total_cats = mysql_num_rows($r);
    echo "<table align='left' cellspacing='0' cellpadding='0' class='tbl'>";
    while ($obj = mysql_fetch_object($r))
    {
        echo "<form name='editform' method='post' action='".$_SERVER['FUSION_SELF']."' >";
        echo "<tr>";
        echo "<td> " . $obj->cat_name . "&nbsp;&nbsp;</td>";
        echo "<td> " . htmlentities($obj->cat_title, ENT_QUOTES) . "&nbsp;&nbsp;</td>";
        echo "<td>&nbsp;[&nbsp;" . $obj->cat_order . "</td>";

        echo "<td>&nbsp;";
        if ($obj->cat_order != 1) echo "<a href='".$_SERVER['FUSION_SELF']."?move=up&name=".$obj->cat_name."&from=".$obj->cat_order."'><img src='".THEME."images/up.gif' border='0'></a>";
        echo "</td><td>&nbsp;";
        if ($obj->cat_order != $total_cats) echo "<a href='".$_SERVER['FUSION_SELF']."?move=down&name=".$obj->cat_name."&from=".$obj->cat_order."'><img src='".THEME."images/down.gif' border='0'></a>";
        echo "</td><td>&nbsp;]&nbsp;</td>";
        echo "<td><nobr>";
        echo " <input type='submit' name='edit_cat' value='".$locale['SMIL122']."' class='button'> ";
        echo " <input type='submit' name='del_cat' value='".$locale['SMIL123']."' class='button' onClick='return DeleteCat();' Onclick='return DeleteSmiley();'> ";
        echo "<input type='hidden' name='cat_name' value='" . $obj->cat_name . "'>";
        echo "</nobr></td>";
        echo "</tr>";
        echo "</form>";

        if ($obj->cat_order != $total_cats)
            $order_select.= "<option value='".($obj->cat_order+1)."'>".$locale['SMIL115']." ".$obj->cat_name."</option>\n";
        else
            $order_select.= "<option value='".($obj->cat_order+1)."' selected>-- ".$locale['SMIL117']." --</option>\n";

    }
    echo "</table>";
}
else
{
    echo $locale['SMIL106'];
}
closeTable();
$order_select .= "</select>\n";


tableBreak();

if (post('edit_cat'))
{
    openTable($locale['SMIL121']);
    $q = "SELECT * FROM ".$db_prefix."smiley_cats WHERE cat_name = '".$_POST['cat_name']."'";
    $r = dbquery($q);
    if ($r && mysql_num_rows($r) == 1)
    {
        $new_cat_name = mysql_result($r, 0, 'cat_name');
        $new_cat_title = mysql_result($r, 0, 'cat_title');
        $new_cat_order = mysql_result($r, 0, 'cat_order');
    }
    $submit = "<input type='submit' name='save_edit_cat' value='".$locale['SMIL121']."' class='button'>";
    $name = "<input type='text' name='cat_name' value='$new_cat_name' class='textbox' style='width:250px;' readonly> (<span class='small'>".$locale['SMIL140'].")</span>";
    $order_select = $new_cat_order;
}
else
{
    openTable($locale['SMIL110']);
    $submit = "<input type='submit' name='save_new_cat' value='".$locale['SMIL120']."' class='button'>";
    $name = "<input type='text' name='cat_name' value='$new_cat_name' class='textbox' style='width:250px;'> * ".$locale['SMIL112'];

}


if (!empty($error)) echo "<div class=\"quote\">" . $locale['SMIL200'] . "<hr />" . $error . "</div>";
echo "
<form name='inputform' method='post' action='".$_SERVER['FUSION_SELF']."' onSubmit='return ValidateForm(this)'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td width='150'>".$locale['SMIL111']."</td>
<td>$name</td></tr>
<tr>
<td valign='top' width='150'>".$locale['SMIL113']."</td>
<td><input type='text' name='cat_title' value='$new_cat_title' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td>".$locale['SMIL114']."</td>
<td>
$order_select
</td>
</tr>
<tr>
<td align='center' colspan='2'><br>
$submit</td>
</tr>

</form>
<tr><td colspan='2' align='center'>
<img src='".THEME."images/bullet.gif'>
<a href='".INFUSIONS."smiley_infusion/smiley_admin.php'>".$locale['SMIL250']."</a>
<img src='".THEME."images/bulletb.gif'>
</td></tr>
</table>";
closeTable();

echo "<span class=\"small\">version: " . $locale['SMIL_VERSION'] . "</span>";

/*
    echo "<pre>";
    print_r($_POST);
    echo "</pre>";
*/

echo "</td>\n";
include BASEDIR."footer.php";

function switchCats($name, $from, $to)
{ // switch 2 cats
    global $db_prefix;
    $q1 = "UPDATE ".$db_prefix."smiley_cats SET cat_order=$from WHERE cat_order=$to";
    $q2 = "UPDATE ".$db_prefix."smiley_cats SET cat_order=$to WHERE cat_name='" . htmlspecialchars($name) . "'";
    $r = dbquery($q1);
    $r = dbquery($q2);
}

function addCat()
{ // add cat
    global $db_prefix, $new_cat_name, $new_cat_title, $new_cat_order;
    $q = "UPDATE ".$db_prefix."smiley_cats SET cat_order = cat_order + 1 WHERE cat_order >= $new_cat_order";
    $r = dbquery($q);

    $q  = " INSERT INTO ".$db_prefix."smiley_cats (
            cat_name,
            cat_title,
            cat_order
            ) VALUES (
            '".$new_cat_name."',
            '".addslashes($new_cat_title)."',
            '". $new_cat_order ."'
            )";
    $r = dbquery($q);
    $new_cat_name = $new_cat_title = $new_cat_order = "";
}

function editCat()
{ // edit cat
    global $db_prefix, $new_cat_name, $new_cat_title, $new_cat_order;
    $q = "  UPDATE ".$db_prefix."smiley_cats SET
            cat_title = '".addslashes($new_cat_title)."',
            cat_order = '". $new_cat_order ."'
            WHERE cat_name = '". $new_cat_name . "'";
    $r = dbquery($q);
    $new_cat_name = $new_cat_title = $new_cat_order = "";
}

function deleteCat($name)
{ // delete cat
    global $db_prefix;
    $q = "SELECT cat_order FROM ".$db_prefix."smiley_cats WHERE cat_name='".addslashes($name)."'";
    $r = mysql_query($q);
    if ($r && mysql_num_rows($r) == 1){
        $old_cat_order = mysql_result($r, 0, 'cat_order');
        $result = dbquery("DELETE FROM ".$db_prefix."smiley_cats WHERE cat_name='".addslashes($name)."'");
        $result = dbquery("UPDATE ".$db_prefix."smiley_cats SET cat_order = cat_order - 1 WHERE cat_order >= $old_cat_order");
    }
}

function deleteSmiley($name)
{ //delete Smiley's in the category selected for deleting
    global $db_prefix;
    $q = "SELECT cat_order FROM ".$db_prefix."smiley_cats WHERE cat_name='".addslashes($name)."'";
    $r = mysql_query($q);
    if ($r && mysql_num_rows($r) == 1){
        $result = dbquery("DELETE FROM ".$db_prefix."smiley WHERE smiley_cat_name='".addslashes($name)."'");
    }
}

function toNumber ($new_order)
{ // check input, if valid leave as new order remove leading zero's, else get highest order around
    global $db_prefix;
    if (preg_match("/^(0*)([1-9]{1}[0-9]*)$/", $new_order, $result)) return $result[2];
    $r = dbQuery("SELECT MAX(cat_order)+1 AS new_order FROM ".$db_prefix."smiley_cats");
    if (!$r || mysql_num_rows($r) == 0 || mysql_result($r, 0, 'new_order') == 0) return 1;
    return mysql_result($r, 0, 'new_order');
}

function is_name_valid($new_cat_name)
{ // names should be alfanumeric, and lowercase, but script should do that
    return preg_match("/^[a-z0-9_]+$/", $new_cat_name);
}

function cat_name_exists($new_cat_name, $old_cat_name = "")
{ // checks if a name already exists, except when name is the same as the old name
    global $db_prefix;
    // when editing the old name could be unchanged, so the update is allowed, return false
    if ($new_cat_name == $old_cat_name) return false;
    // try to find the cat_name
    $r = dbQuery("SELECT cat_name FROM ".$db_prefix."smiley_cats WHERE cat_name='".addslashes($new_cat_name)."'");
    // if there is no result for any reason it's safer to prevent futher db changed, return true
    if (!$r) return true;
    // no records found means the cat_name is not found, return true
    if (mysql_num_rows($r) == 0) return false;
    // so there is a record found, return true
    return true;
}

function post($var)
{ // check if a post var is set and has a value
    if (isset($_POST[$var]) && !empty($_POST[$var]))
        return true;
    return false;
}

function get($var)
{ // check if a get var is set and has a value
    if (isset($_GET[$var]) && !empty($_GET[$var]))
        return true;
    return false;
}
// finally add some JavaScript

echo "<script language=\"JavaScript\">
function DeleteCat() {
    return confirm('".$locale['SMIL130']."');
}
function ValidateForm(frm) {
    if(frm.cat_name.value=='') {
        alert('".$locale['SMIL205']."');
        return false;
    }
    if(frm.cat_title.value=='') {
        alert('".$locale['SMIL206']."');
        return false;
    }
    return true;
}
</script>\n";

?>